MEMORY
{
PAGE 0 :
   /* BEGIN is used for the "boot to Flash" bootloader mode   */

   BEGIN           	: origin = 0x080000, length = 0x000002
/*   RAMM0           	: origin = 0x0000F6, length = 0x00030A */

   RAMM0S          	  : origin = 0x0000F6, length = 0x00000158	/* stack */
   RAMM1D         	  : origin = 0x00000280, length = 0x00000578	/* on-chip RAM block M1 */

   /* LS0 - LS4 */
   RAMLS0F        	  : origin = 0x00008000, length = 0x00000600	/* Reserve for FAST */
   RAMLS0D        	  : origin = 0x00008600, length = 0x00001A00

   /* LS5 - LS7 */
   RAMLS1P          : origin = 0x0000A000, length = 0x00001FF8

   RESET           	: origin = 0x3FFFC0, length = 0x000002

   /* Flash sectors */
   /* BANK 0 */
   FLASHBANK0_BOOT	 : origin = 0x080002, length = 0x1FFE	 /* remote update */
/* FLASH_BANK0_SEC0  : origin = 0x080002, length = 0x000FFE */	/* on-chip Flash */
/* FLASH_BANK0_SEC1  : origin = 0x081000, length = 0x001000 */	/* on-chip Flash */

   FLASHBANK0_FAST	 : origin = 0x082000, length = 0x04000
/* FLASH_BANK0_SEC2  : origin = 0x082000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK0_SEC3  : origin = 0x083000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK0_SEC4  : origin = 0x084000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK0_SEC5  : origin = 0x085000, length = 0x001000 */	/* on-chip Flash */

   FLASHBANK0_DATA 	 : origin = 0x086000, length = 0x2000	   /* constant data */
/* FLASH_BANK0_SEC6  : origin = 0x086000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK0_SEC7  : origin = 0x087000, length = 0x001000 */	/* on-chip Flash */


/* FLASH_BANK0_SEC8  : origin = 0x088000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC9  : origin = 0x089000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC10 : origin = 0x08A000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC11 : origin = 0x08B000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC12 : origin = 0x08C000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC13 : origin = 0x08D000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC14 : origin = 0x08E000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK0_SEC15 : origin = 0x08F000, length = 0x001000	/* on-chip Flash */

   /* BANK 1 */
/* FLASH_BANK1_SEC0  : origin = 0x090000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC1  : origin = 0x091000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC2  : origin = 0x092000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC3  : origin = 0x093000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC4  : origin = 0x094000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC5  : origin = 0x095000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC6  : origin = 0x096000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC7  : origin = 0x097000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC8  : origin = 0x098000, length = 0x001000	/* on-chip Flash */
/* FLASH_BANK1_SEC9  : origin = 0x099000, length = 0x001000	/* on-chip Flash */


   FLASHBANK1_CODE	  	   : origin = 0x09A000, length = 0x05FF0   /* control code */
/* FLASH_BANK1_SEC10 : origin = 0x09A000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK1_SEC11 : origin = 0x09B000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK1_SEC12 : origin = 0x09C000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK1_SEC13 : origin = 0x09D000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK1_SEC14 : origin = 0x09E000, length = 0x001000 */	/* on-chip Flash */
/* FLASH_BANK1_SEC15 : origin = 0x09F000, length = 0x000FF0 */	/* on-chip Flash */

//   FLASH_BANK1_SEC15_RSVD : origin = 0x09FFF0, length = 0x000010  /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */

PAGE 1 :

   BOOT_RSVD       : origin = 0x000002, length = 0x0000F1     /* Part of M0, BOOT rom will use this for stack */
   RAMM1           : origin = 0x000400, length = 0x0003F8     /* on-chip RAM block M1 */
//   RAMM1_RSVD      : origin = 0x0007F8, length = 0x000008     /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */

   RAMGS0      : origin = 0x00C000, length = 0x002000
   RAMGS1      : origin = 0x00E000, length = 0x002000
   RAMGS2      : origin = 0x010000, length = 0x002000
   RAMGS3      : origin = 0x012000, length = 0x001FF8
//   RAMGS3_RSVD : origin = 0x013FF8, length = 0x000008     /* Reserve and do not use for code as per the errata advisory "Memory: Prefetching Beyond Valid Memory" */
}


SECTIONS
{
   .reset           : > RESET,  		    TYPE = DSECT /* not used, */
   codestart		: > BEGIN,     			ALIGN(4)

   GROUP
   {
   	.TI.ramfunc {
#if defined(MOTOR1_FAST) || defined(MOTOR2_FAST)
       -l est_trajState_coff.lib<est_setupTrajState.obj> (.text)
#endif

#if defined(SFRA_ENABLE)
       -l sfra_f32_tmu_coff.lib<sfra_f32_tmu_collect.obj> (.text)
       -l sfra_f32_tmu_coff.lib<sfra_f32_tmu_inject.obj> (.text)
#endif
   			   }
   	dclfuncs
    dcl32funcs
   }                          LOAD >  FLASHBANK1_CODE,
                              RUN  >  RAMLS1P,
				              LOAD_START(RamfuncsLoadStart),
				              LOAD_SIZE(RamfuncsLoadSize),
				              LOAD_END(RamfuncsLoadEnd),
				              RUN_START(RamfuncsRunStart),
				              RUN_SIZE(RamfuncsRunSize),
				              RUN_END(RamfuncsRunEnd),
                              ALIGN(8)

    ctrlfuncs            :    LOAD >  FLASHBANK1_CODE,
                              RUN  >  RAMLS1P,
                              LOAD_START(loadStart_ctrlfuncs),
                              LOAD_END(loadEnd_ctrlfuncs),
                              LOAD_SIZE(loadSize_ctrlfuncs),
                              RUN_START(runStart_ctrlfuncs),
                              RUN_END(runEnd_ctrlfuncs),
                              RUN_SIZE(runSize_ctrlfuncs),
                              ALIGN(8)

   .text            : > FLASHBANK1_CODE,	ALIGN(4)
   .cinit           : > FLASHBANK1_CODE,	ALIGN(4)
   .switch          : > FLASHBANK1_CODE,	ALIGN(4)
   .cio				: > FLASHBANK1_CODE
   .pinit           : > FLASHBANK1_CODE,	ALIGN(4)
   .const           : > FLASHBANK1_CODE,  	ALIGN(4)
   .init_array      : > FLASHBANK1_CODE,	ALIGN(4)

   .stack           : > RAMM0S
   .bss             : > RAMM1D
   .bss:output      : > RAMM1D
   .bss:cio         : > RAMM1D
   .data            : > RAMM1D
   .sysmem          : > RAMM1D


/*
    fastCode 		: > FLASHBANK0_FAST
    {
         --library=fast_full_lib.lib (.text)
    }
*/

          /*  Allocate IQ math areas: */
   IQmath           : > FLASHBANK1_CODE, 	ALIGN(8)
   IQmathTables     : > FLASHBANK1_CODE,	ALIGN(8)

   	prms_data 		     : > FLASHBANK0_DATA

    est_data             : >  RAMLS0F,
                              LOAD_START(loadStart_est_data),
                              LOAD_END(loadEnd_est_data),
                              LOAD_SIZE(loadSize_est_data)
    hal_data             : >  RAMM1D,
                              LOAD_START(loadStart_hal_data),
                              LOAD_END(loadEnd_hal_data),
                              LOAD_SIZE(loadSize_hal_data)
    user_data            : >  RAMM1D,
                              LOAD_START(loadStart_user_data),
                              LOAD_END(loadEnd_user_data),
                              LOAD_SIZE(loadSize_user_data)
    foc_data             : >  RAMM1D,
                              LOAD_START(loadStart_foc_data),
                              LOAD_END(loadEnd_foc_data),
                              LOAD_SIZE(loadSize_foc_data)
    sys_data             : >  RAMLS0D,
                              LOAD_START(loadStart_sys_data),
                              LOAD_END(loadEnd_sys_data),
                              LOAD_SIZE(loadSize_sys_data)
    vibc_data            : >  RAMGS0,
                              LOAD_START(loadStart_vibc_data),
                              LOAD_END(loadEnd_vibc_data),
                              LOAD_SIZE(loadSize_vibc_data)
    dmaBuf_data          : >  RAMGS0,
                              LOAD_START(loadStart_dmaBuf_data),
                              LOAD_END(loadEnd_dmaBuf_data),
                              LOAD_SIZE(loadSize_dmaBuf_data)
    SFRA_F32_Data        : >  RAMGS0,
                              LOAD_START(loadStart_SFRA_F32_Data),
                              LOAD_END(loadEnd_SFRA_F32_Data),
                              LOAD_SIZE(loadSize_SFRA_F32_Data)
    datalog_data         : >  RAMGS0,
                              LOAD_START(loadStart_datalog_data),
                              LOAD_END(loadEnd_datalog_data),
                              LOAD_SIZE(loadSize_datalog_data)
    dbgc_data            : >  RAMLS0D,
                              LOAD_START(loadStart_dbgc_data),
                              LOAD_END(loadEnd_dbgc_data),
                              LOAD_SIZE(loadSize_dbgc_data)
}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
